Skip to main content
Integrate electronic signatures into your apps and workflows with SignatureAPI.

Get started

What you can do

See all capabilities

How it works

1

Create an envelope

An envelope holds your documents and recipients. Add documents directly as PDFs or generate them from templates.
// POST https://api.signatureapi.com/v1/envelopes
// X-API-Key: key_test_...
// Content-Type: application/json

{
    "title": "Dummy Consent",
    "documents": [
        {
            "format": "pdf",
            "url": "https://pub-9cb75390636c4a8a83a6f76da33d7f45.r2.dev/privacy-placeholder.pdf",
            "places": [
                {
                    "key": "signer_signs_here",
                    "type": "signature",
                    "recipient_key": "visitor"
                }
            ]
        }
    ],
    "recipients": [
        {
            "type": "signer",
            "key": "visitor",
            "name": "John Doe",
            "email": "john@example.com"
        }
    ]
}
2

Recipients receive a signing link

Each recipient gets a link to review and sign. You can control the signing order and authenticate recipients before they access the documents.Signing request email
3

Recipients sign during a ceremony

A ceremony is the guided signing session where recipients review documents and complete their actions.Signing ceremony
4

Retrieve the signed deliverable

After all recipients complete their actions, SignatureAPI generates a deliverable containing the signed documents and an audit log.Audit log

Explore